aboutsummaryrefslogtreecommitdiffstats
path: root/.travis/downstream.d/twisted.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis/downstream.d/twisted.sh')
-rwxr-xr-x.travis/downstream.d/twisted.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/.travis/downstream.d/twisted.sh b/.travis/downstream.d/twisted.sh
new file mode 100755
index 00000000..cb25027a
--- /dev/null
+++ b/.travis/downstream.d/twisted.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+case "${1}" in
+ install)
+ git clone --depth=1 https://github.com/twisted/twisted
+ cd twisted
+ pip install -e .[tls,conch,http2]
+ ;;
+ run)
+ cd twisted
+ python -m twisted.trial src/twisted
+ ;;
+ *)
+ exit 1
+ ;;
+esac